Subject: Re: bug#59377: 29.0.50; Sticky frame parameter has no effect

From: Michael Heerdegen <[email-masked]>
Date: Sun, 20 Nov 2022 08:45:52 +0100

Po Lu <[email-masked]> writes:

> This means your window manager does not support _NET_WM_STATE_STICKY.
> Emacs only supports that method of making a frame sticky, and no
> others.

Shouldn't we have that information in the manual?

> I guess Emacs could be made to send a _NET_WM_DESKTOP with the desktop
> set to 0xffffffff when the window manager does not support
> _NET_WM_STATE_STICKY, but it would be a lot of trouble.  Since you're
> trying to make some sort of popup, does the `override-redirect' frame
> parameter work for you?

Hmm - that popup is not specific to Emacs so I would rather try to make
it work using `x-send-client-message', even if that works only in
openbox (and X...) then.  How would the correct `x-send-client-message'
call look like?

Thanks,

Michael.